# Class default

Handles all the UI for choosing optional challenges.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/challenges-select-ui-handler.ts:14

#####
Index

### Constructors

constructor

### Properties

active
challengeLabels
challengeValueLabels
challengesContainer
cursor
cursorObj
descriptionText
mode
optionsBg
scene
scrollCursor
startCursor
valuesContainer

### Methods

clear
eraseCursor
getActiveChallenge
getCursor
getTextColor
getUi
processInput
setCursor
setScrollCursor
setup
show
updateText

## Constructors

### constructor

- new default(scene, mode?): default

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/challenges-select-ui-handler.ts:33

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Private` challengeLabels

challengeLabels: Text[]

- Defined in src/ui/challenges-select-ui-handler.ts:26

### `Private` challengeValueLabels

challengeValueLabels: Text[]

- Defined in src/ui/challenges-select-ui-handler.ts:27

### `Private` challengesContainer

challengesContainer: Container

- Defined in src/ui/challenges-select-ui-handler.ts:15

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` cursorObj

cursorObj: NineSlice

- Defined in src/ui/challenges-select-ui-handler.ts:29

### `Private` descriptionText

descriptionText: Text

- Defined in src/ui/challenges-select-ui-handler.ts:24

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Private` optionsBg

optionsBg: NineSlice

- Defined in src/ui/challenges-select-ui-handler.ts:20

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Private` scrollCursor

scrollCursor: number

- Defined in src/ui/challenges-select-ui-handler.ts:18

### `Private` startCursor

startCursor: NineSlice

- Defined in src/ui/challenges-select-ui-handler.ts:31

### `Private` valuesContainer

valuesContainer: Container

- Defined in src/ui/challenges-select-ui-handler.ts:16

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/challenges-select-ui-handler.ts:318

### eraseCursor

- eraseCursor(): void

- #### Returns void

  - Defined in src/ui/challenges-select-ui-handler.ts:324

### getActiveChallenge

- getActiveChallenge(): Challenge

- #### Returns Challenge

  - Defined in src/ui/challenges-select-ui-handler.ts:314

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### processInput

- processInput(button): boolean

- Processes input from a specified button. This method handles navigation through a UI menu, including movement through menu items and handling special actions like cancellation. Each button press may adjust the cursor position or the menu scroll, and plays a sound effect if the action was successful.

  #### Parameters

  - button: Button

    The button pressed by the user.

  #### Returns boolean

  `true` if the action associated with the button was successfully processed, `false` otherwise.

  Overrides default.processInput

  - Defined in src/ui/challenges-select-ui-handler.ts:179

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/challenges-select-ui-handler.ts:285

### setScrollCursor

- setScrollCursor(scrollCursor): boolean

- #### Parameters

  - scrollCursor: number

  #### Returns boolean

  - Defined in src/ui/challenges-select-ui-handler.ts:302

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/challenges-select-ui-handler.ts:37

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/challenges-select-ui-handler.ts:154

### updateText

- updateText(): void

- #### Returns void

  - Defined in src/ui/challenges-select-ui-handler.ts:128